# Where to get it
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

Summary:	Linux kernel firmware files
Name:   	kernel-firmware
Version:	20160601
Release:	%mkrel 1
License:	GPLv2
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
Source0: 	linux-firmware-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:	noarch
Obsoletes:	amd64-microcode < %version
Provides:	amd64-microcode = %version-%release
Obsoletes:	rt3090-firmware < %version
Provides:	rt3090-firmware = %version-%release
Obsoletes:	rt2870-firmware < %version
Provides:	rt2870-firmware = %version-%release
Obsoletes:	rt2860-firmware < %version
Provides:	rt2860-firmware = %version-%release
Obsoletes:	iwlwifi-6000-ucode < %version
Provides:	iwlwifi-6000-ucode = %version-%release
Obsoletes:	radeon-firmware < %version
Provides:	radeon-firmware = %version-%release

%description
This package contains the firmware for in-kernel drivers that was previously
included in the kernel.

%prep
%setup -q -n linux-firmware

# remove unwanted source files
rm -f av7110/{Makefile,Boot.S}
rm -rf cis/src
rm -f dsp56k/{Makefile,bootstrap.asm,concat-bootstrap.pl}
rm -f isci/{Makefile,*.{c,h}}
rm -f keyspan_pda/{Makefile,*.S}
rm -f usbdux/*.asm
rm -r usbdux
rm -f dsp56k/bootstrap.asm keyspan_pda/*.S
rm -rf carl9170fw

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/{LICENCE.*,LICENSE.*,WHENCE,GPL*,Makefile,README}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/lib/firmware/*


%changelog
* Wed Jun 01 2016 bb <bb> 20160601-1pclos2016
- update

* Mon Apr 18 2016 bb <bb> 20160418-1pclos2016
- update

* Mon Feb 01 2016 bb <bb> 20160201-1pclos2016
- update from git


